## cURL

```bash
curl --request GET \
  --url 'https://api.momentum.io/v2/signals/42/executions?executionFrom=2026-01-01T00:00:00Z&executionTo=2026-03-31T23:59:59Z&pageNumber=1&pageSize=10&includeFollowUpPrompts=true' \
  --header 'X-API-Key: YOUR_API_KEY'
```

## JavaScript

```javascript
const response = await fetch(
  "https://api.momentum.io/v2/signals/42/executions?executionFrom=2026-01-01T00:00:00Z&executionTo=2026-03-31T23:59:59Z&pageNumber=1&pageSize=10&includeFollowUpPrompts=true",
  {
    headers: { "X-API-Key": "YOUR_API_KEY" },
  }
);
const data = await response.json();
```

## Python

```python
import requests

response = requests.get(
    "https://api.momentum.io/v2/signals/42/executions",
    headers={"X-API-Key": "YOUR_API_KEY"},
    params={
        "executionFrom": "2026-01-01T00:00:00Z",
        "executionTo": "2026-03-31T23:59:59Z",
        "pageNumber": 1,
        "pageSize": 10,
        "includeFollowUpPrompts": "true",
    },
)
data = response.json()
```

## Go

```go
req, _ := http.NewRequest("GET",
  "https://api.momentum.io/v2/signals/42/executions?executionFrom=2026-01-01T00:00:00Z&executionTo=2026-03-31T23:59:59Z&pageNumber=1&pageSize=10&includeFollowUpPrompts=true",
  nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := http.DefaultClient.Do(req)
def defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
```

## Response Formats

### 200

```json
{
  "signals": [
    {
      "signalId": 123,
      "signalName": "<string>",
      "triggeredAt": "2023-11-07T05:31:56Z",
      "sourceId": 123,
      "sourceType": "meeting",
      "sourceTitle": "<string>",
      "prompt": "<string>",
      "reason": "<string>",
      "hostEmail": "<string>",
      "attendeeEmails": [
        "jsmith@example.com"
      ],
      "salesforceAccountId": "<string>",
      "salesforceAccountName": "<string>",
      "salesforceOpportunityId": "<string>",
      "salesforceOpportunityName": "<string>",
      "salesforceLeadId": "<string>",
      "salesforceLeadName": "<string>",
      "followUpPrompts": [
        {}
      ]
    }
  ],
  "pageCount": 123
}
```

### Error Responses

```json
{
  "error": "<string>"
}
```

```json
{
  "error": "Internal server error"
}
```

## Authorizations

**X-API-Key**  
string  
header  
required  
API key for authenticating requests

## Path Parameters

**definitionId**  
integer  
required  
The ID of the signal definition to retrieve executions for.

### Query Parameters

**executionFrom**  
string<date-time>  
required  
Filter executions starting from this date-time (ISO 8601 format). Required.

**executionTo**  
string<date-time>  
Filter executions up to this date-time (ISO 8601 format). Defaults to current time if not specified.

**pageNumber**  
integer  
default:1  
The page number to retrieve (1-based indexing). Defaults to 1 if not specified.

**pageSize**  
integer  
default:10  
The maximum number of executions to return per page. Must be between 1 and 50. Defaults to 10 if not specified.

**includeFollowUpPrompts**  
boolean  
default:false  
Whether to include follow-up prompt outputs in the response. Defaults to false.
